.animated-button-link .text {
  letter-spacing: 1.474px !important;
}
.animated-button-link {
  text-decoration: none;
}

.animated-button {
  position: relative;
  display: flex;
  align-items: center;
  gap: 4px;
  padding: 16px 36px;
  border: 1.053px solid #8b949a;
  background: linear-gradient(
    90deg,
    rgba(79, 103, 127, 0.4) 0%,
    rgba(79, 103, 127, 0) 100%
  );
  border-radius: 45.261px;
  font-size: 16px;
  font-weight: 600;
  color: #ffffff;
  box-shadow: 0 0 0 2px transparent;
  cursor: pointer;
  overflow: hidden;
  transition: all 0.6s cubic-bezier(0.23, 1, 0.32, 1);
}

.animated-button svg {
  position: absolute;
  width: 24px;
  fill: #ffffff;
  z-index: 9;
  transition: all 0.8s cubic-bezier(0.23, 1, 0.32, 1);
}

.animated-button .arr-1 {
  right: 16px;
}
.animated-button .arr-2 {
  left: -25%;
}

.animated-button .circle {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 20px;
  height: 20px;
  background-color: rgba(255, 255, 255, 0.2);
  border-radius: 50%;
  opacity: 0;
  transition: all 0.8s cubic-bezier(0.23, 1, 0.32, 1);
}

.animated-button .text {
  position: relative;
  z-index: 1;
  transform: translateX(-12px);
  transition: all 0.8s cubic-bezier(0.23, 1, 0.32, 1);
}

.animated-button:hover {
  box-shadow: 0 0 0 12px transparent;
  color: #ffffff;
  border-radius: 12px;
}

.animated-button:hover .arr-1 {
  right: -25%;
}
.animated-button:hover .arr-2 {
  left: 16px;
}
.animated-button:hover .text {
  transform: translateX(12px);
}
.animated-button:hover .circle {
  width: 120%;
  height: 220px;
  opacity: 1;
}

.animated-button:active {
  transform: scale(0.95);
  box-shadow: 0 0 0 4px rgba(139, 148, 154, 0.4);
}
